org.eclipse.microprofile.fault.tolerance.tck.invalidParameters

## Class RetryClientForValidationDelayDuration

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.invalidParameters.RetryClientForValidationDelayDuration

    @RequestScoped
    public class RetryClientForValidationDelayDuration
    extends Object

A client to demonstrate the validation of the combination of the delay and maxDuration attributes on @Retry

Author:
  Neil Young

### Constructor Summary

Constructors
Constructor and Description
`RetryClientForValidationDelayDuration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Connection` `serviceA()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RetryClientForValidationDelayDuration

    public RetryClientForValidationDelayDuration()

### Method Detail

#### serviceA

    @Retry(delay=1000L,
           maxDuration=500L)
    public Connection serviceA()